## qdacco 1.1.2

=== CMakeLists.txt ===
 ########## Project setup ##########
PROJECT(qdacco)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

SET( QDACCO_VERSION 1.1.2 )

STRING( REGEX MATCHALL "[0-9]+" QDACCO_VERSIONS ${QDACCO_VERSION} )
LIST( GET QDACCO_VERSIONS 0 QDACCO_VERSION_MAJOR)
LIST( GET QDACCO_VERSIONS 1 QDACCO_VERSION_MINOR)
LIST( GET QDACCO_VERSIONS 2 QDACCO_VERSION_PATCH)

# ######### Cmake ##########
option(CPACK_SOURCE_TGZ OFF)
option(CPACK_SOURCE_TZ OFF)

# AFAIK CPACK_PACKAGE_VERSION_* not used at the moment because
# CPACK_SOURCE_PACKAGE_FILE_NAME is overwritten. Left for
# compatibility and just in case.
set( CPACK_PACKAGE_VERSION_MAJOR ${QDACCO_VERSION_MAJOR})
set( CPACK_PACKAGE_VERSION_MINOR ${QDACCO_VERSION_MINOR})
set( CPACK_PACKAGE_VERSION_PATCH ${QDACCO_VERSION_PATCH})

set( CPACK_SOURCE_PACKAGE_FILE_NAME "qdacco-${QDACCO_VERSION}")

# Assumes that ${CMAKE_BINARY_DIR} != ${CMAKE_SOURCE_DIR}
set(CPACK_SOURCE_IGNORE_FILES ${CMAKE_BINARY_DIR} /\\\\.git/)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
	message(STATUS "WARNING: build and source directory is the same. make package_source will not work. Read INSTALL.ca/INSTALL.en file.")
endif()

# ######### General setup ##########
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
#IF (APPLE)
#	SET(QT_QMAKE_EXECUTABLE "/opt/local/bin/qmake-mac")
#ENDIF (APPLE)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED) 
find_package(Qt5Network REQUIRED) 
find_package(Qt5Xml REQUIRED) 
find_package(Qt5Widgets REQUIRED)

include_directories(${Qt5Widgets_INCLUDES} ${Qt5Xml_INCLUDES})
add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Xml_DEFINITIONS})

########### qdacco gui ##########
message(STATUS "Working on qdacco gui")
add_subdirectory(gui)

########### cpack capabilites ##########
INCLUDE(CPack)

=== gui/CMakeLists.txt ===
###########################################
# qdaccogui					  #
###########################################

set (qdaccogui_SRC Configure.cpp main.cpp
	   qdacco.cpp About.cpp LineEdit.cpp 
	   ListWidget.cpp AuxiliarGUI.cpp OneInstance.cpp
	   TrayIcon.cpp LoadConfig.cpp TextBrowser.cpp
       ../nongui/Auxiliar.cpp
       ../nongui/StructureList.cpp
       ../nongui/StructureParser.cpp
       ../nongui/WordData.cpp
    )

set (qdaccogui_MOCS Configure.h main.h 
	   About.h TextBrowser.h LineEdit.h 
	   ListWidget.h OneInstance.h
	   TrayIcon.h LoadConfig.h TextBrowser.h)

set (qdaccogui_H AuxiliarGUI.h
     ../nongui/Auxiliar.h
     ../nongui/StructureList.h
     ../nongui/StructureParser.h
     ../nongui/WordData.h
   )

set (qdaccogui_UIS Configure.ui main.ui About.ui)

set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR})

# generate rules for building source files from the resources
#
set(qdaccogui_RCCS icons.qrc translation.qrc)
# generate rules for building source files that moc generates

QT5_WRAP_UI(qdaccogui_UIS_H ${qdaccogui_UIS})
#QT5_WRAP_CPP(${qdaccogui_MOCS})

QT5_ADD_RESOURCES(qdaccogui_RCC_SRCS ${qdaccogui_RCCS})

# Suggeriment CMake 2.6
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

configure_file(
	CMakeOptions.h.cmake
	CMakeOptions.h
)

# build sources, moc'd sources, and rcc'd sources
# # generate rules for building source files from the resources
# build sources, moc'd sources, and rcc'd sources
add_executable(qdacco  ${qdaccogui_H} ${qdaccogui_MOCS} ${qdaccogui_MOC_SRCS} ${qdaccogui_UIS_H}
	${qdaccogui_SRC} ${qdaccogui_SRCS} ${qdaccogui_RCC_SRCS})

qt5_use_modules(qdacco Widgets)

target_link_libraries( qdacco ${Qt5Xml_LIBRARIES} ${Qt5DBus_LIBRARIES})

install_targets(/bin qdacco)

=== nongui/CMakeLists.txt ===
#qdaccolib
SET( QDACCO_LIB_VERSION 0.7.0 )

#qdaccolib needs QtXml
set(QT_USE_QTXML true)

set(QT_DONT_USE_QTNETWORK true)
set(QT_DONT_USE_QTGUI  true)


STRING( REGEX MATCHALL "[0-9]+" QDACCO_LIB_VERSIONS ${QDACCO_LIB_VERSION} )
LIST( GET QDACCO_LIB_VERSIONS 0 QDACCO_LIB_VERSION_MAJOR)
LIST( GET QDACCO_LIB_VERSIONS 1 QDACCO_LIB_VERSION_MINOR)
LIST( GET QDACCO_LIB_VERSIONS 2 QDACCO_LIB_VERSION_PATCH)



INCLUDE(${QT_USE_FILE})

set(qdaccolib_SRCS Auxiliar.cpp 
			StructureList.cpp  StructureParser.cpp
			WordData.cpp)

set(qdacco_HDRS qdacco/Auxiliar.h qdacco/StructureList.h
qdacco/StructureParser.h qdacco/WordData.h)


set(qdaccolib_MOCS)

#not moc'ed 
#Auxiliar.h StructureList.h StructureParser.h WordData.h


#set(qdaccolib_RCCS ../../qdaccolib.qrc)
#set(qdaccolib_UIS )

include_directories(
    ${QT_INCLUDE_DIR}
	${QT_QTXML_INCLUDE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/core/
	${CMAKE_CURRENT_BINARY_DIR}/core/)
	
# generate rules for building source files from the resources
#QT4_WRAP_UI(qdaccolib_UIS_H ${qdaccolib_UIS})
QT5_WRAP_CPP(qdaccolib_MOC_SRCS ${qdaccolib_MOCS})
#QT4_ADD_RESOURCES(qdaccolib_RCC_SRCS ${qdaccolib_RCCS})

# generate rules for building source files that moc generates

#ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_SHARED)
# build sources, moc'd sources, and rcc'd sources

add_library(qdaccolib SHARED ${qdaccolib_MOC_SRCS} ${qdaccolib_UIS_H}
	${qdaccolib_SRCS} ${qdaccolib_MOCS} ${qdaccolib_RCC_SRCS})

set_target_properties( qdaccolib PROPERTIES 
  SOVERSION "${QDACCO_LIB_VERSION_MAJOR}.${QDACCO_LIB_VERSION_MINOR}"
  VERSION "${QDACCO_LIB_VERSION}")

#Remember to correct this to have a libqdacco
#  OUTPUT_NAME qdacco )


set(QT_LIBRARIES ${Qt5Xml_LIBRARIES})
message(VERBOSE ************** QT_LIBRARIES ${QT_LIBRARIES})

target_link_libraries( qdaccolib ${QT_LIBRARIES})

install_targets(/lib qdaccolib)
install (FILES ${qdacco_HDRS} DESTINATION include/qdacco)

=== debian/changelog ===
qdacco (1.1.2-1) unstable; urgency=medium

  * New upstream version.
  * Improve Description in Control.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 10 Feb 2021 15:36:10 +0100

qdacco (1.0.3-1) unstable; urgency=medium

  * Bump standards. No changes
  * Drop file. No exists TODO file.
  * Increase watch-file-standard. No changes.
  * New upstream version.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2020 17:33:34 +0100

qdacco (1.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.

  [ Leopold Palomo-Avellaneda ]
  * New Maintainer. Closes: #922900
  * Bump standards and debhelper. No changes.
  * Update copyright.
  * Added R³.
  * Added Hardening options.
  * New upstream version.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 22 Sep 2020 18:54:27 +0200

=== debian/control ===
Source: qdacco
Section: text
Priority: optional
Maintainer: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), qtbase5-dev (>= 5.5.1), libglib2.0-dev, cmake, dpkg-dev (>= 1.16.9)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/qdacco
Vcs-Git: https://salsa.debian.org/debian/qdacco.git
Homepage: https://github.com/cpina/qdacco

Package: qdacco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dacco-common
Suggests: festival
Description: Offline Catalan <-> English dictionary desktop application
 qdacco it's a graphical application providing a frontend to DACCO, a free
 Catalan-English dictionary. It's a small desktop application using Qt as
 widget library.

=== debian/watch ===
# watch control file for uscan
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qdacco-$1\.tar\.gz/ \
  https://github.com/cpina/qdacco/tags .*/v?(\d\S+)\.tar\.gz

## qdacco 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
  ########## Project setup ##########
 PROJECT(qdacco)
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.25.1)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-SET( QDACCO_VERSION 1.1.2 )
+SET( QDACCO_VERSION 1.2.4 )
 
 STRING( REGEX MATCHALL "[0-9]+" QDACCO_VERSIONS ${QDACCO_VERSION} )
 LIST( GET QDACCO_VERSIONS 0 QDACCO_VERSION_MAJOR)
@@ -33,17 +33,14 @@
 
 # ######### General setup ##########
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
-#IF (APPLE)
-#	SET(QT_QMAKE_EXECUTABLE "/opt/local/bin/qmake-mac")
-#ENDIF (APPLE)
-find_package(Qt5Core REQUIRED)
-find_package(Qt5Gui REQUIRED) 
-find_package(Qt5Network REQUIRED) 
-find_package(Qt5Xml REQUIRED) 
-find_package(Qt5Widgets REQUIRED)
+find_package(Qt6Network REQUIRED) 
+find_package(Qt6Widgets REQUIRED)
+find_package(Qt6DBus REQUIRED)
 
-include_directories(${Qt5Widgets_INCLUDES} ${Qt5Xml_INCLUDES})
-add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Xml_DEFINITIONS})
+set(QT6_LIBRARIES Qt6::Widgets Qt6::Network Qt6::Xml Qt6::DBus)
+
+#include_directories(${Qt5Widgets_INCLUDES} ${Qt5Xml_INCLUDES})
+#add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Xml_DEFINITIONS})
 
 ########### qdacco gui ##########
 message(STATUS "Working on qdacco gui")

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 	   TrayIcon.cpp LoadConfig.cpp TextBrowser.cpp
        ../nongui/Auxiliar.cpp
        ../nongui/StructureList.cpp
-       ../nongui/StructureParser.cpp
        ../nongui/WordData.cpp
     )
 
@@ -20,7 +19,6 @@
 set (qdaccogui_H AuxiliarGUI.h
      ../nongui/Auxiliar.h
      ../nongui/StructureList.h
-     ../nongui/StructureParser.h
      ../nongui/WordData.h
    )
 
@@ -30,12 +28,10 @@
 #set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-find_package(Qt5Core REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5Network REQUIRED)
-find_package(Qt5Xml REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5DBus REQUIRED)
+find_package(Qt6Gui REQUIRED)
+find_package(Qt6Network REQUIRED)
+find_package(Qt6Xml REQUIRED)
+find_package(Qt6DBus REQUIRED)
 
 include_directories(
 	${CMAKE_CURRENT_BINARY_DIR}
@@ -46,10 +42,10 @@
 set(qdaccogui_RCCS icons.qrc translation.qrc)
 # generate rules for building source files that moc generates
 
-QT5_WRAP_UI(qdaccogui_UIS_H ${qdaccogui_UIS})
+QT6_WRAP_UI(qdaccogui_UIS_H ${qdaccogui_UIS})
 #QT5_WRAP_CPP(${qdaccogui_MOCS})
 
-QT5_ADD_RESOURCES(qdaccogui_RCC_SRCS ${qdaccogui_RCCS})
+QT6_ADD_RESOURCES(qdaccogui_RCC_SRCS ${qdaccogui_RCCS})
 
 # Suggeriment CMake 2.6
 if(COMMAND cmake_policy)
@@ -67,9 +63,9 @@
 add_executable(qdacco  ${qdaccogui_H} ${qdaccogui_MOCS} ${qdaccogui_MOC_SRCS} ${qdaccogui_UIS_H}
 	${qdaccogui_SRC} ${qdaccogui_SRCS} ${qdaccogui_RCC_SRCS})
 
-qt5_use_modules(qdacco Widgets)
+#qt6_use_modules(qdacco Widgets)
 
-target_link_libraries( qdacco ${Qt5Xml_LIBRARIES} ${Qt5DBus_LIBRARIES})
+target_link_libraries( qdacco ${QT6_LIBRARIES})
 
 install_targets(/bin qdacco)

=== nongui/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,11 @@
 INCLUDE(${QT_USE_FILE})
 
 set(qdaccolib_SRCS Auxiliar.cpp 
-			StructureList.cpp  StructureParser.cpp
+			StructureList.cpp
 			WordData.cpp)
 
 set(qdacco_HDRS qdacco/Auxiliar.h qdacco/StructureList.h
-qdacco/StructureParser.h qdacco/WordData.h)
+qdacco/WordData.h)
 
 
 set(qdaccolib_MOCS)

=== debian/changelog ===
qdacco (1.2.4-1) unstable; urgency=medium

  * New upstream version.
  * Update copyrights years.
  * Incorporate Carles changes.
  * Update Standards-Version to current version: 4.7.2.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 08 Apr 2025 22:52:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), qtbase5-dev (>= 5.5.1), libglib2.0-dev, cmake, dpkg-dev (>= 1.16.9)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), cmake, qt6-base-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/qdacco
 Vcs-Git: https://salsa.debian.org/debian/qdacco.git

=== debian/tests/control ===
Test-Command: QT_QPA_PLATFORM=offscreen qdacco -h 2>&1 | grep "Just qdacco to just use qdacco"
Depends: qdacco
Features: test-name=qdacco_h_print_help_check
